Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class DataID

    java.lang.Object
      org.eclipse.birt.report.engine.api.DataID

    public class DataID

extends java.lang.Object

the data id of the data used by an instance.

Field Summary
`protected java.lang.String` | `cellId` Id of the cell.
`protected DataSetID` | `dataSet` Data set id.
`protected long` | `rowId` Id of the row.

Constructor Summary
`DataID(DataSetID dataSet, long rowId)` Create the new data id instance.
`DataID(DataSetID dataSet, java.lang.String cellId)` Create the new data id instantce.

Method Summary
`void` | `append(java.lang.StringBuffer buffer)` add the instance id to the string buffer.
`boolean` | `equals(java.lang.Object a)`
`java.lang.String` | `getCellID()` Return the cell id.
`DataSetID` | `getDataSetID()` return the data set.
`long` | `getRowID()` Return the row id.
`static DataID` | `parse(java.lang.String dataId)` create a new data id instance from the string.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dataSet

    protected DataSetID dataSet

  Data set id.

### rowId

    protected long rowId

  Id of the row.

### cellId

    protected java.lang.String cellId

  Id of the cell.

Constructor Detail

### DataID

    public DataID(DataSetID dataSet,
                  long rowId)

  Create the new data id instance.

  Parameters:
    `dataSet` - data set
    `rowId` - row id

### DataID

    public DataID(DataSetID dataSet,
                  java.lang.String cellId)

  Create the new data id instantce.

  Parameters:
    `dataSet` - data set
    `cellId` - cell id

Method Detail

### getDataSetID

    public DataSetID getDataSetID()

  return the data set.

  Returns:

### getRowID

    public long getRowID()

  Return the row id.

  Returns:

### getCellID

    public java.lang.String getCellID()

  Return the cell id.

  Returns:

### append

    public void append(java.lang.StringBuffer buffer)

  add the instance id to the string buffer. It is a util class used by other internal packages.

  Parameters:
    `buffer` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object a)

  Overrides:
    `equals` in class `java.lang.Object`

### parse

    public static DataID parse(java.lang.String dataId)

  create a new data id instance from the string.

  Parameters:
    `dataId` - string representation of the data id
  Returns:
    data id instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.